"use strict";
goog.provide("Blockly.Msg.en");
goog.require("Blockly.Msg");

// 超声波 传感器
Blockly.Seeed_Ultrasonic_Read = "Ultrasonic Ranging(cm)";

// PAJ7620手势传感器
Blockly.Seeed_PAJ7620_Read_Gesture = "PAJ7620 Gesture Sensor";
Blockly.Seeed_PAJ7620_Gesture_Update = "PAJ7620 Gesture Sensor Update";
Blockly.PAJ7620_Gesture_UP = "Up";
Blockly.PAJ7620_Gesture_DOWN = "Down";
Blockly.PAJ7620_Gesture_LEFT = "Left";
Blockly.PAJ7620_Gesture_RIGHT = "Right";
Blockly.PAJ7620_Gesture_FORWARD = "Forward";
Blockly.PAJ7620_Gesture_BACKWARD = "Backward";
Blockly.PAJ7620_Gesture_CLOCKWISE = "CLOCKWISE";
Blockly.PAJ7620_Gesture_COUNT_CLOCKWISE = "COUNT_CLOCKWISE";
Blockly.PAJ7620_Gesture_WAVE = "Wave";

// LSM6DS3 陀螺仪传感器
Blockly.Seeed_LSM6DS3 = "LSM6DS3 Accelerometer & Gyroscope";
Blockly.LSM6DS3_Accel_X = "X-Accel";
Blockly.LSM6DS3_Accel_Y = "Y-Accel";
Blockly.LSM6DS3_Accel_Z = "Z-Accel";
Blockly.LSM6DS3_Gyro_X = "X-Gyro";
Blockly.LSM6DS3_Gyro_Y = "Y-Gyro";
Blockly.LSM6DS3_Gyro_Z = "Z-Gyro";
Blockly.LSM6DS3_readTempC = "Temperature(℃)";
Blockly.LSM6DS3_readTempF = "Temperature(℉)";

// 8×8 RGB 点阵模块
Blockly.SEEED_DRAWPIXEL = "Draw Points";
Blockly.SEEED_POSX = "X";
Blockly.SEEED_POSY = "Y";
Blockly.SEEED_PLOT_BAR = "Plot Bar Graph of";
Blockly.SEEED_DISPLAY_CLEAR = "RGB Matrix Display Clear";
Blockly.SEEED_SHOW_BUILT_IN_PATTERNS = "Show Built-in Patterns";
Blockly.SEEED_DISPLAY_STRING = "Display String";
Blockly.SEEED_COLOUR = "Colour";
Blockly.SEEED_DISPLAY_TIME = "Display Time";
Blockly.SEEED_DISPLAY_MODE = "Display Mode";
Blockly.SEEED_CYCLE_DISPLAY = "Cycle Display";
Blockly.SEEED_SHOW_ONCE = "Show Once";
Blockly.SEEED_SHOW_BUILT_IN_ANIMATION = "Show Built-in Animation";
Blockly.SEEED_SWIPE = "Swipe";
Blockly.SEEED_REFRESH_TIME = "Refresh Time";
Blockly.SEEED_DISPLAY_WAVEFORM = "Display Waveform";
Blockly.SEEED_DISPLAY_IMAGE = "Display Image";
